Page MenuHomePhabricator

Investigate navtiming2 values
Closed, DuplicatePublic

Description

Event Timeline

Peter created this task.Oct 18 2017, 10:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2017, 10:49 AM

I think the change here is because right now show the median, and the DNS median time is 0. If I change to mean/p-high instead I see the metrics are reported. So how do we wanna do this?

Peter added a subscriber: Krinkle.Oct 20 2017, 11:23 AM

adding @Krinkle for input!

Peter added a comment.Oct 23 2017, 8:27 PM

But there are still some gaps it seems at least, I will look into it more.

Krinkle updated the task description. (Show Details)Oct 23 2017, 8:49 PM

Bugs:

  • Server-side is adding 0 for dns, unload and redirect even for non-navtiming clients.
  • Client-side is still filtering out zero-values for all metrics.

Change 386071 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[operations/puppet@production] Remove zeroes for non existing values

https://gerrit.wikimedia.org/r/386071

Change 386074 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[mediawiki/extensions/NavigationTiming@master] Do not filter out zero values.

https://gerrit.wikimedia.org/r/386074

Change 386071 merged by Dzahn:
[operations/puppet@production] webperf: Remove zeroes for non existing navtiming values

https://gerrit.wikimedia.org/r/386071

Change 386247 had a related patch set uploaded (by Krinkle; owner: Phedenskog):
[mediawiki/extensions/NavigationTiming@wmf/1.31.0-wmf.5] Do not filter out zero values.

https://gerrit.wikimedia.org/r/386247

Change 386074 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Do not filter out zero values.

https://gerrit.wikimedia.org/r/386074

Change 386247 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@wmf/1.31.0-wmf.5] Do not filter out zero values.

https://gerrit.wikimedia.org/r/386247

Change 387534 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[mediawiki/extensions/NavigationTiming@master] Send value zero for unload and redirecting.

https://gerrit.wikimedia.org/r/387534

Change 387915 had a related patch set uploaded (by Krinkle; owner: Phedenskog):
[mediawiki/extensions/NavigationTiming@wmf/1.31.0-wmf.6] Send value zero for unload and redirecting

https://gerrit.wikimedia.org/r/387915

Change 387534 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Send value zero for unload and redirecting

https://gerrit.wikimedia.org/r/387534

Change 387915 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@wmf/1.31.0-wmf.6] Send value zero for unload and redirecting

https://gerrit.wikimedia.org/r/387915

Mentioned in SAL (#wikimedia-operations) [2017-11-02T23:36:05Z] <krinkle@tin> Synchronized php-1.31.0-wmf.6/extensions/NavigationTiming/modules/ext.navigationTiming.js: Fix zero values - T178479 (duration: 00m 47s)